### Method

# Gimp Item transform_flip

#### Declaration [src]

    GimpItem*
    gimp_item_transform_flip (
      GimpItem* item,
      gdouble x0,
      gdouble y0,
      gdouble x1,
      gdouble y1
    )

#### Description [src]

Flip the specified item around a given line.

This procedure flips the specified item.

If a selection exists and the item is a drawable, the portion of the drawable which lies under the selection is cut from the drawable and made into a floating selection which is then flipped. The axis to flip around is specified by specifying two points from that line. The return value is the ID of the flipped floating selection.

If there is no selection or the item is not a drawable, the entire item will be flipped around the specified axis. The return value will be equal to the item ID supplied as input.

This procedure is affected by the following context setters: gimp_context_set_interpolation(), gimp_context_set_transform_direction(), gimp_context_set_transform_resize().

Available since: | 2.8

#### Parameters

`x0` | `gdouble`
| Horz. coord. of one end of axis.
`y0` | `gdouble`
| Vert. coord. of one end of axis.
`x1` | `gdouble`
| Horz. coord. of other end of axis.
`y1` | `gdouble`
| Vert. coord. of other end of axis.

#### Return value

Returns: | `GimpItem`
| The flipped item.
| The data is owned by the instance.